org.apache.bcel.generic

## Class ArithmeticInstruction

- java.lang.Object
- - org.apache.bcel.generic.Instruction
  - - org.apache.bcel.generic.ArithmeticInstruction

- All Implemented Interfaces:
    Cloneable, StackConsumer, StackProducer, TypedInstruction
  Direct Known Subclasses:
    DADD, DDIV, DMUL, DNEG, DREM, DSUB, FADD, FDIV, FMUL, FNEG, FREM, FSUB, IADD, IAND, IDIV, IMUL, INEG, IOR, IREM, ISHL, ISHR, ISUB, IUSHR, IXOR, LADD, LAND, LDIV, LMUL, LNEG, LOR, LREM, LSHL, LSHR, LSUB, LUSHR, LXOR

      public abstract class ArithmeticInstruction
      extends Instruction
      implements TypedInstruction, StackProducer, StackConsumer

  Super class for the family of arithmetic instructions.
  Version:
    $Id: ArithmeticInstruction.java 1812166 2017-10-13 23:48:11Z ggregory $

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.generic.Instruction

      `length, opcode`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ArithmeticInstruction(short opcode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Type` | `getType(ConstantPoolGen cp)`

    - ### Methods inherited from class org.apache.bcel.generic.Instruction

      `accept, consumeStack, copy, dump, equals, getComparator, getLength, getName, getOpcode, hashCode, initFromFile, isValidByte, isValidShort, produceStack, readInstruction, setComparator, toString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.bcel.generic.StackProducer

      `produceStack`

    - ### Methods inherited from interface org.apache.bcel.generic.StackConsumer

      `consumeStack`

- - ### Constructor Detail

    - #### ArithmeticInstruction

          protected ArithmeticInstruction(short opcode)

      Parameters:
        `opcode` - of instruction

  - ### Method Detail

    - #### getType

          public Type getType(ConstantPoolGen cp)

      Specified by:
        `getType` in interface `TypedInstruction`
      Returns:
        type associated with the instruction

Copyright © 2004–2017 The Apache Software Foundation. All rights reserved.